
from sqlalchemy_utils import database_exists, create_database, drop_database

def create_or_drop_database_if_exists(engine, database_name):
    """
    Create or drop a database if it exists.
    """
    if database_exists(engine.url, name=database_name):
        drop_database(engine.url, name=database_name)
        print(f"Database '{database_name}' dropped.")
    else:
        create_database(engine.url, name=database_name)
        print(f"Database '{database_name}' created.")



